Skip to main content
POST
/
v1
/
leads
Create a lead
curl --request POST \
  --url https://dev.flextell.ai/api/v1/leads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant: <x-tenant>' \
  --data '
{
  "last_name": "<string>",
  "first_name": "<string>",
  "phone_number": "<string>",
  "email": "jsmith@example.com",
  "description": "<string>",
  "message": "<string>",
  "preferred_contact": "<string>",
  "source_page_url": "<string>",
  "lead_status_id": 123,
  "lead_reference_source_id": 123,
  "assigned_user_id": 123,
  "country_id": 123,
  "marketing_attribution": [
    "<string>"
  ]
}
'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "first_name": "<string>",
    "last_name": "<string>",
    "full_name": "<string>",
    "phone_number": "<string>",
    "email": "<string>",
    "description": "<string>",
    "message": "<string>",
    "preferred_contact": "<string>",
    "source_page_url": "<string>",
    "country_id": 123,
    "is_converted": "<string>",
    "converted_at": "2023-11-07T05:31:56Z",
    "customer_id": 123,
    "marketing_attribution": [
      "<unknown>"
    ],
    "external_id": "<string>",
    "external_branch_id": "<string>",
    "external_created_at": "2023-11-07T05:31:56Z",
    "last_synced_at": "2023-11-07T05:31:56Z",
    "import_source_id": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z",
    "status": {
      "id": 123,
      "name": "<string>",
      "slug": "<string>",
      "color": "<string>",
      "is_terminal": true
    },
    "reference_source": {
      "id": 123,
      "name": "<string>",
      "external_id": "<string>"
    },
    "assigned_user": {
      "id": 123,
      "name": "<string>"
    },
    "country_name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Body

application/json
last_name
string
required

The last name.

Maximum string length: 255
first_name
string | null

The first name.

Maximum string length: 255
phone_number
string | null

The phone number in E.164 format.

Maximum string length: 50
email
string<email> | null

The email address.

Maximum string length: 255
description
string | null

The description.

message
string | null

The message body.

preferred_contact
string | null

Preferred contact channel.

Maximum string length: 50
source_page_url
string<uri> | null

URL of the page that produced the lead.

Maximum string length: 2048
lead_status_id
integer | null

The lead status ID.

lead_reference_source_id
integer | null

The lead reference source ID.

assigned_user_id
integer | null

The assigned user ID.

country_id
integer | null

The country ID.

marketing_attribution
string[] | null

The marketing attribution.

Response

success
string
required
data
LeadResource · object
required